# The person's decision; answers the address to send the browser to

`POST /oauth/authorize` · Rivier · keys

The person's decision; answers the address to send the browser to.

- Scope: keys:write
- Sdk: keys.consent.decide
- Cli: keys consent decide

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "client_id": {
      "type": "string",
      "maxLength": 100
    },
    "redirect_uri": {
      "type": "string",
      "maxLength": 500
    },
    "response_type": {
      "type": "string",
      "maxLength": 20
    },
    "scope": {
      "type": "string",
      "maxLength": 2000
    },
    "state": {
      "type": "string",
      "maxLength": 500
    },
    "code_challenge": {
      "type": "string",
      "maxLength": 200
    },
    "code_challenge_method": {
      "type": "string",
      "maxLength": 20
    },
    "approve": {
      "type": "boolean"
    }
  },
  "required": [
    "client_id",
    "redirect_uri",
    "response_type",
    "scope",
    "code_challenge",
    "code_challenge_method",
    "approve"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/oauth/authorize' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "client_id": "string",
  "redirect_uri": "string",
  "response_type": "string",
  "scope": "string",
  "code_challenge": "string",
  "code_challenge_method": "string",
  "approve": false
}'
```
